package Shared.Messages;

import java.util.ArrayList;

/**
This is message for severinitial paramters sent to client.
 */
public class ServerInitial {
    /**
     * Timeout of eaach turn. 0 means inifinity.
     */
    public int timeout ;
    /**
     * Board size of the game.
     */
    public int boardSize ;
    /**
     * Color of player.
     */
    public int color ;

    public ServerInitial(int timeout, int boardSize, int color) {
        this.timeout = timeout;
        this.boardSize = boardSize;
        this.color = color;
    }

    public String toString() {
        return "(" + timeout + "," + boardSize + "," + color + ")"  ;
    }

    public static ServerInitial parseString(String str) {
        ArrayList l = SimpleParse.getFirstVector(str) ;

        int timeout = ((Integer) l.get(0)).intValue() ;
        int boardSize = ((Integer) l.get(1)).intValue() ;
        int color = ((Integer) l.get(2)).intValue() ;
        return new ServerInitial(timeout , boardSize , color) ;
    }
}
